summaryrefslogtreecommitdiffstats
path: root/deps/gpgme
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-10-14 19:29:39 +0200
committer Eric Hameleers <alien@slackware.com>2017-10-14 19:29:39 +0200
commit6fc26582abf75b6fdcc1483dcfd4022fc69e5490 (patch)
tree18a17e5d9ef30d97960f0057a379aa8f9be84158 /deps/gpgme
parent8ba5647299bac2cb97d76ddf301e3f02d71250da (diff)
downloadktown-6fc26582abf75b6fdcc1483dcfd4022fc69e5490.tar.gz
ktown-6fc26582abf75b6fdcc1483dcfd4022fc69e5490.tar.xz
Updated deps for the next release
Diffstat (limited to 'deps/gpgme')
-rwxr-xr-xdeps/gpgme/gpgme.SlackBuild18
1 files changed, 13 insertions, 5 deletions
diff --git a/deps/gpgme/gpgme.SlackBuild b/deps/gpgme/gpgme.SlackBuild
index 02193e4..02f1701 100755
--- a/deps/gpgme/gpgme.SlackBuild
+++ b/deps/gpgme/gpgme.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2006-2009 Robby Workman, Northport, AL, USA
-# Copyright 2007, 2008, 2009, 2010, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010, 2016, 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,14 @@
PKGNAM=gpgme
VERSION=${VERSION:-1.9.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+
+# Find out the default python version:
+if [ $( python -c 'import sys ; print sys.version_info[0]' ) -eq 3 ]; then
+ MYPY="python"
+else
+ MYPY="python2"
+fi
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,13 +95,14 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--infodir=/usr/info \
--docdir=/usr/doc/gpgme-$VERSION \
- --enable-languages="cl cpp python2 qt" \
+ --enable-languages="cl cpp $MYPY qt" \
--disable-gpgsm-test \
--build=$TARGET \
- --host=$TARGET
+ --host=$TARGET \
+ || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null